html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
        margin: 0;
        padding: 0;	
        list-style: none;        
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

body {
    font-family: Verdana, sans-serif;
    font-size: 0.8em;
    color: #000;
    line-height: 1.25em;
    text-align: justify;
    background: #fda;    
}

/* LINKS */
a, body section form.delete input {
    color: #c00;
    text-decoration: none;
}
a:hover, a:focus, body section form.delete input:hover {
    color: #900;    
    background: #ff6;
    border: 0;
}
.hidden {
    display: none;
}

/* PAGE CENTERING - centering, width of the page */
body header section, body header nav, body figure span, body section, body footer, body header.login h1 {
    margin: 0 auto;
    width: 90%;
    max-width: 980px;
}


/* HEADER */
body header {
    margin-top:0;    
}

body header.login {
    background: #c00;
    padding: 1ex 0;    
    text-transform: uppercase;
    color: #fc9;
    border-bottom: 1px solid #900;
}

/** user section - languages, user information */
body header section {
    padding: 1ex 0;
    font-size: 0.9em;
    text-align: right;
}
body header section ul li {
    display: inline;
}
body header section img {
    float: left;
    margin-right: 1ex;
    height: 16px;
}
body header section div strong {    
    color: #003;
}
body header section div a {
    text-transform: uppercase;
}
/*** available language */
body header section a img{        
    opacity: 0.3;    
    filter: alpha(opacity=30); /* For IE8 and earlier */
    border: 1px solid #fc6;
}
/*** selected language */
body header section li img{    
    border: 1px solid #fc9;
}

/** navigation - gradient = 100%, navigation <= 980px */
body header div#gradient {
    width: 100%;
    background: #c00;
    border-top: 1px solid #300;
    border-bottom: 1px solid #300;
}
body header nav {    
    text-align: right;
    color: #ff9;    
    line-height: 3em;
    position: relative;
}
/** Logo */
body header nav a img {
    position: absolute;
    top: 0;
    left: 1em;
}
/** Main menu */
body header nav ul {
    z-index: 1000;    
}
body header nav ul li {
    display: inline;
    margin-left: 2em;
    text-transform: uppercase;
    vertical-align: middle;
    position: relative;
}
body header nav ul li a img.help {    
    display: inline;
    float: none;
}
body header nav ul li a:hover, body header nav ul li a:focus {
    background: #e00;    
    color: #fff;
}
body header nav ul li a {    
    color: #ff9;    
    background: none;
    display: inline;
    padding: 1ex;
}
/** Selected item from main menu */
body header nav ul li.selected {    
    background: #e00;
}
body header nav ul li.selected a {
    color: #ff6;
}
/** Submenu */
body header nav ul li ul, body header nav ul li:hover ul {
    display: none;
    text-transform: none;
}

/* MESSAGE SECTION - succes, failure messages */
body figure {        
    border-bottom: 1px solid #300;
}
body figure span {
    display: block;
    padding: 1ex 0;
    color: #fff;
}
body figure span strong {
    display: inline;    
    background: white;
    color: #c00;
}
body figure span em {        
    font-style: italic;
}
body figure span em:before {        
    content: '"';
}
body figure span em:after {        
    content: '"';
}
body figure span em {        
    font-style: italic;
}
body figure.success, body figure.success span {    
    background: #3c0;
}
body figure.failure, body figure.failure span {
    background: #f00;    
}
body figure.info, body figure.info span {    
    background: #00f;
}

/* MAIN */
body section {
    padding: 1ex 0;
}

/* LEFT MENU */
/** Links section in module */
body section nav {
    width: 220px;        
    position: relative;
    margin:auto;
    height:auto;
    padding: 1ex 0;
    float: left;
    text-align: right;
    border-right: 2px solid #ffc;
}
body section nav * {    
    padding-right: 1ex;
}
body section nav h2 {
    text-transform: uppercase;
    line-height: 1.5em;
    background: #ffa;
}
body section nav h2:hover {
    background: #ff9;
}
body section nav h2 span {
    display: block;
    font-size: 0.8em;
}
body section nav h2 span a {
    color: #003;
}
body section nav ul {
    margin: 0;
    padding: 0;
}   
body section nav ul li {
    list-style: none;
    margin: 0;
    margin-bottom: 1ex;
    border-right: 5px solid #ffc;    
}
body section nav ul li:hover {
    border-right: 5px solid #ff6;
}
body section nav ul li a {
    display: block;
}
body section nav ul li a, body section nav ul li form.delete input {
    padding: 0 1ex;
}
body section nav ul li a:hover {
    background: #ff9;
    color: #900;    
}
body section nav ul li.header {
    padding: 0 2ex;
    color:#003;
    font-size: 0.84em;
    background: #ffc;
    text-transform: uppercase; 
    border-right: 0;
}

/* CONTENT AREA */
body section div#content {    
    position: relative;
    min-height: 420px;
}
/** headings */
h1, h2, h3, h4 {
    text-transform: uppercase;
    font-weight: normal;
}
body section h1, body section h1 a {
    font-size: 1.35em;
    color: #e00;
    margin: 1em 0;
}
body section h2, body section h2 a {
    font-size: 1.1em;
    color: #900;
    margin: 1.2em 0 1ex 0;      
}
body section h3, body section h3 a {
    margin-top: 1em;
    font-size: 1.05em;
    color: #003;
}
body section div strong {
    font-weight: normal;
    color: #c00;
    font-size: 0.9em;
}
/** text elements */ 
body section p {
    margin-bottom: 0.5ex;
}
body section code, body section div textarea {
    display: inline;
    width: 100%;
    margin: 1ex auto;
    padding: 1ex;
    background-color: #fff;
    border: 1px solid #ff6;    
    font-family: "Courier New", Courier, monospace;
    color: #900;
    white-space: pre;
    overflow: auto;
}
body section div textarea {/* its not interpret by html and php*/    
    min-height: 400px;
}
/** forms */
body section div form {
    margin: 1em 0;
}
body section div form input, body section div form select, body section div form textarea {
    background: #fff;
    padding: 0.5ex;
    border: 1px solid #f93;
    color: #300;
    display: block;    
}
body section div form  label {
    color: #300;
    display: block;
    margin-top: 1ex;
}
body section div form  input[readonly="readonly"] {
    background: #ff9;
    color: #900;
}
body section div form  input[type="radio"] {
    display: inline;
    margin-bottom: 1ex;
}
body section div form  input[type="submit"] {
    margin-top: 1ex;
    background: #ff9;
    color: #900;
    border: 1px solid #f93;
}
body section div form  input[type="submit"]:hover {
    cursor: pointer;
    background: #fc6;
    color: #c00;
    border: 1px solid #f60;
}
/** delete form */
body section form.delete {
    display: inline;
    margin:0;
    padding:0;
}
body section form.delete input {
    display: inline;
    border:0;
    background:transparent;
    margin:0;
    padding:0;
}
/** no bullet list */
body section div ul.no-bullet li, body section div ul.no-bullet li:hover{
    list-style-image: none;      
}
/** list with square image as bullet */
body section div ul, body section div ol {
    margin-top: 2ex;
    margin-left: 3em;
}
body section div ul li {
    list-style-image: url('../images/odrazka.png');    
    margin-bottom: 2ex;
}
body section div ul li ul li {
    margin-bottom: 0;
}
body section div ol li {
    list-style-type: decimal;
}
body section div ul li:hover {
    list-style-image: url('../images/odrazka-seznam.png');    
    /*background: #ff9;*/
}
body section div ul li ul {        
    margin-left: 1em;
    list-style-type: square;
}
/*** map of the web */
body section div ul.map li {    
    line-height: 1.5em;
}
body section div ul.map li a {    
    color: #600;
}
body section div ul.map li.header a {
    color:#003;
}
/*** item: hidden content */
body section div ul li aside {    
    margin-left: 1em;
    display: none;
}
body section div ul li aside a, body section div ul li aside form.delete input {    
    color: #600;
}
body section div ul li aside form.delete input:hover {    
    border: 0;
}
body section div ul li:hover aside {
    display: block;
    padding: 1ex;
    /*background: #ff9;*/    
    /*float: right;*/
}
body section div ul li aside * {    
    margin-right: 1.5em;
}

body section div ul li aside.text {
    padding: 1ex;
    display: block;
}

/** Form errors */
body section div aside.errors {
    border-left: 1px solid #c00;
    padding: 1em 1ex;
}
body section div aside.errors h2 {
    color: #c00;
    margin: 0;
}
body section div aside.errors ul {
    margin-left: 3em;
}
body section div aside.errors ul li {
    list-style-image: url('../images/icons/form-error.png');    
    margin-top: 1ex;
        
}

/** TABLE */
body section div table {
    width: 100%;
    margin: 1ex 0 0 0;
    text-align: center;
}
body section div table tr td {
    border-bottom: 1px solid #fc9;
}
body section div table tr:hover td {
    border-bottom: 1px solid #ff6;
}
body section div table td, body section div table th {
    padding: 1ex;
    vertical-align: middle;
}
body section div table th, body section div table th a {    
    text-transform: uppercase;
    color: #003;
    font-size: 0.85em;    
    background: #ffc;
}
/*** Row highlight */
body section div table tr.user, body section div table tr.user strong {        
    background: #fc9;
    color: #c00;    
}

/** Seeded table */
body section div table.seeded td input {
    display:inline;
    text-align: center;
    margin: 0;
}

/** User groups table */
body section div table.user_groups td, body section div table.user_groups th {
    border: 1px solid #fc9;
    border-top:0;
    border-left:0;
    width: 16%;    
    color: #003;
}
body section div table.user_groups th.corner {    
    background: transparent;
}
body section div table.user_groups td.no {    
    background: #c00;
}
body section div table.user_groups td.read {    
    background: #039;
}
body section div table.user_groups td.crud {    
    background: #3c0;
}
/** PLAYFF tree */
body section div table.playoff {
    float:left;   
    margin: 0;
    margin-bottom: 1em;
    color: #900;
    width: auto;
}
body section div table.playoff tr, body section div table.playoff tr:hover, 
body section div table.playoff table tr, body section div table.playoff table tr:hover {
    border: 0;
}
body section div table.playoff table {
    width: 100%;
    margin: 0;
    border:1px solid #900;
}
body section div table.playoff table td {
    padding: 0.2ex 1ex;
    background:#fff;
    color: #000;
}
body section div table.playoff table td.seeded {
    color: #f93; 
    width: 15px;
    border: 0;
}
body section div table.playoff table td.score {
    border-left:1px solid #900;
    background:#ff9;
    color: #c00;    
    width: 20px;
}
body section div table.playoff table td.winner {
    color: #c00;
}
/*** Match players statistics - comment */
tr.action_comment th {
    font-size: 0.8em;
    background: transparent;
}
tr.action_comment td:last-child {
    text-align: left;
}
/*** Pagination in Match filtering */
th.pagination input {    
    background: #fff;
    color: #900;
    border: 1px solid #fda;
    margin-left: 1ex;
}
th.pagination input.selected {
    background: #c00;
    color: #fff;
}
th.pagination input:hover { 
    cursor: pointer;
    border: 1px solid #f93;
}

/*** Cell background */
td.yes {
    color:white !important;
    background:green !important;
}
td.no, td.no a {
    color:white !important;
    background:red !important;
}
td.right, th.right {
    text-align: right;
}
td.left, th.left {
    text-align: left;
}
td.checkbox {
    width: 20px;
}
/** Prediction results */
td.exact, td.success, td.fail, td.unknown {width: 5px;}
td.exact{background: #3c0}
td.success {background: green;}
td.fail {background: red;}
td.unknown:after {content: '?';color: #f93;}

/** Time help */
body section div aside.help {
    padding: 1em 1ex;
    border-left: 1px solid #039;
}
body section div aside.help h3 {
    margin: 0;
    color: #039;
}

/** Vertical list */
body section div ul.vertical {
    margin: 2em auto;
}
body section div ul.vertical li {
    list-style: none;
    display: inline;
    text-align: center;
    margin: 0 1.5em;
}
body section div ul.vertical li a {
    color: #c00;
}

/** Toogle divs */
body section div[class^="toogle"]  {
    display:none;
}
body section div[class^="toogle"][id^="displayed"] {
    display:block;
}
/** Other */
body section .inline {
    display: inline ;
}

/* FOOTER */
body footer {
    padding: 1em 0;
    text-align: right;
    font-size: 0.7em;
    text-transform: uppercase;
}

/* LOGIN page */
body section div div.login {
    margin: 1em 0;    
}
body section div div.login label {
    display:inline;
    width: 80px;
}
body section div div.login input {
    display:inline;
}
body section div hr {
    background: transparent;    
    border: 0;
    border-top: 1px dotted #ff9;    
    margin: 2em 0 1ex 0;
}
body section div div.login a {
    margin: 0 1em;
}

/* INDEX page */
body section div img.right {
    float:right;
    margin-left: 2em;
}